ViralSpy Docs
REST APIReferenceVideos

Search videos

Open Markdown
GET
/videos

Authorization

bearerAuth
AuthorizationBearer <token>

Use a ViralSpy API key. Never place keys in query strings.

In: header

Query Parameters

q?string
Lengthlength <= 200
sort?unknown

Value in

  • "best_match"
  • "trending"
  • "newest"
  • "views"
  • "comments"
  • "reposts"
ad?unknown

Value in

  • "any"
  • "yes"
  • "no"
hook?unknown

Value in

  • "any"
  • "yes"
  • "no"
viral_hook?unknown

Value in

  • "any"
  • "yes"
  • "no"
media_type?unknown

Value in

  • "any"
  • "video"
  • "slideshow"
region?string
Match^[A-Z]{2}$
language?string
limit?integer
Range1 <= value <= 50
Default20
cursor?string

Opaque cursor returned by the previous response.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/videos"
{  "data": [    {}  ],  "meta": {    "count": 0,    "total": 0,    "has_more": true,    "next_cursor": "string"  },  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"}